package org.nl.acs.device_driver;

import org.nl.acs.device.domain.Device;

public interface DeviceDriver {
    default String getDeviceCode() {
        return this.getDevice().getDevice_code();
    }

    Device getDevice();

    DeviceDriverDefination getDriverDefination();

    DeviceDriver setDriverDefination(DeviceDriverDefination var1);

    default String getDriverDefinationCode() {
        return this.getDriverDefination().getDriverCode();
    }


}
